Sys::Virt::Interface(3)

NAME
Sys::Virt::Interface - Represent & manage a libvirt host network interface

DESCRIPTION
The "Sys::Virt::Interface" module represents a host network interface allowing configuration of IP addresses, bonding, vlans and bridges.

METHODS

my $name = $iface->get_name()
    Returns a string with a locally unique name of the network

$iface->is_active()
    Returns a true value if the interface is currently running

my $name = $iface->get_mac()
    Returns a string with the hardware MAC address of the interface

my $xml = $iface->get_xml_description()
    Returns an XML document containing a complete description of the network's configuration

$iface->create()
    Start a network whose configuration was previously defined using the "define_network" method in Sys::Virt.

$iface->undefine()
    Remove the configuration associated with a network previously defined with the "define_network" method in Sys::Virt. If the network is running, you probably want to use the "shutdown" or "destroy" methods instead.

$iface->destroy()
    Immediately terminate the machine, and remove it from the virtual machine monitor. The $iface handle is invalid after this call completes and should not be used again.

CONSTANTS

CONSTANTS
This section documents constants that are used with various APIs described above

  LIST FILTERING
The following constants are used to filter object lists

Sys::Virt::Interface::LIST_ACTIVE
    Include interfaces that are active

Sys::Virt::Interface::LIST_INACTIVE
    Include interfaces that are not active

  XML CONSTANTS
The following constants are used when querying XML

Sys::Virt::Interface::XML_INACTIVE
    Request the inactive XML, instead of the current possibly live config.

AUTHORS
Daniel P. Berrange <berrange@redhat.com>

COPYRIGHT
Copyright (C) 2006-2009 Red Hat Copyright (C) 2006-2007 Daniel P. Berrange

LICENSE
This program is free software; you can redistribute it and/or modify it under the terms of either the GNU General Public License as published by the Free Software Foundation (either version 2 of the License, or at your option any later version), or, the Artistic License, as specified in the Perl README file.

SEE ALSO
Sys::Virt, Sys::Virt::Error, "http://libvirt.org"